// Autor / Auteur : Zineb KANDOUSSI (https://www.facebook.com/SchoolSurSeineFR/)
// Creation / Création : Le 14/03/2023
// Description : Display the current time on the LCD screen / Affichage de l'heure actuelle sur l'écran LCD 
// library / Bibliothèque  : http://www.rinkydinkelectronics.com/library.php?id=5

#include <LiquidCrystal_I2C.h>
#include <Wire.h>
#include <DS1302.h>
#define PIN_BUZ 7

LiquidCrystal_I2C lcd(0X27, 16, 2);
DS1302 rtc(2, 3, 4);
Time t;

void setup()
{
  pinMode(PIN_BUZ, OUTPUT);
  digitalWrite(PIN_BUZ, HIGH);
  rtc.halt(false);
  rtc.writeProtect(false);
  rtc.setTime(15,59,40);    
  rtc.setDate(14,03,2023);  
  
  lcd.init();
  lcd.backlight();
  lcd.setCursor(0, 0);        
  lcd.print("School Sur Seine!");
  lcd.setCursor(7, 1);
  lcd.print(":)");
  delay(5000);
  lcd.clear();

}

void loop()
{
  digitalWrite(PIN_BUZ, HIGH);
  t = rtc.getTime();
  lcd.setCursor(0, 0);        
  lcd.print("Heure (Paris):");
  lcd.setCursor(0,1); 
  if (t.hour <=9 )
  {
    lcd.print("0");
    lcd.setCursor(1,1);
    lcd.print(t.hour,DEC);
  }
  else {lcd.print(t.hour,DEC);}
  lcd.setCursor(2,1); 
  lcd.print(":");
  lcd.setCursor(3,1);
  if (t.min <=9 )
  {
    lcd.print("0");
    lcd.setCursor(4,1);
    lcd.print(t.min,DEC);
  }
  else {lcd.print(t.min,DEC);}
  lcd.setCursor(5,1); 
  lcd.print(":");
  lcd.setCursor(6,1); 
  
  if (t.sec <=9 )
  {
    lcd.print("0");
    lcd.setCursor(7,1);
    lcd.print(t.sec,DEC);
  }
  else {lcd.print(t.sec,DEC);}
  if (t.sec <=6 && t.min==0)
  {  
    digitalWrite(PIN_BUZ, HIGH);
    delay(500);
    digitalWrite(PIN_BUZ, LOW);
    delay(500);
   }
}
